Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1117393 - Keep validation/event message if there is an iso update to ovirt node host.
Summary: Keep validation/event message if there is an iso update to ovirt node host.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.5.0
Assignee: Ravi Nori
QA Contact: Petr Kubica
URL:
Whiteboard: infra
Depends On: 1149655 1149658
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-08 14:57 UTC by Douglas Schilling Landgraf
Modified: 2016-02-10 19:32 UTC (History)
10 users (show)

Fixed In Version: ovirt-3.5.0_rc1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:35:19 UTC
oVirt Team: Infra


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 29897 master MERGED webadmin: Keep validation/event message if there is an iso update to ovirt node host Never
oVirt gerrit 30691 ovirt-engine-3.5 MERGED webadmin: Keep validation/event message if there is an iso update to ovirt node host Never

Description Douglas Schilling Landgraf 2014-07-08 14:57:56 UTC
Description of problem:

I have noticed that the code that we used to check if there is an iso update to ovirt-node host got removed. Although shouldAlertUpgrade() is still available in HostGeneralModel.java [1].

<snip>
-   VDS vds = hostGeneralModel.getEntity();
-                                String [] hostOsInfo =
-vds.getHostOs().split("-"); //$NON-NLS-1$ //$NON-NLS-2$
-                                for (int counter = 0; counter <
- hostOsInfo.length; counter++) {
-                                    hostOsInfo[counter] =
- hostOsInfo[counter].trim();
-                                }
- hostGeneralModel.setHasUpgradeAlert(
-                                    shouldAlertUpgrade(
-                                        isos,
-                                        hostOsInfo
-                                        )
-                                );
</snip>

From my investigation this happened when the code got split.
commit c20ebaee3f771ef7893f0be16f47e915d84cca80
Date:   Fri Mar 7 12:06:12 2014 -0500
    webadmin: host right click menu is missing 'reinstall' option 


[1] https://github.com/oVirt/ovirt-engine/blob/master/frontend/webadmin/modules/uicommonweb/src/main/java/org/ovirt/engine/ui/uicommonweb/models/hosts/HostGeneralModel.java#L651

Comment 1 Petr Beňas 2014-09-10 17:32:50 UTC
Please provde steps to reproduce/verify.

Comment 2 Douglas Schilling Landgraf 2014-09-10 17:44:44 UTC
(In reply to Petr Beňas from comment #1)
> Please provde steps to reproduce/verify.

- Install a higher version of ovirt-node (RPM) in ovirt-engine machine

After that, users should see a message sharing that there is a higher version of ovirt-node available for upgrade. Ravi, please correct me if the steps changed in the current source code.

Thanks!

Comment 3 Ravi Nori 2014-09-10 18:39:27 UTC
Douglas is right

Comment 4 Sandro Bonazzola 2014-10-17 12:35:19 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.